I upgraded to D8.6.6 but drush install downgraded it to 8.6.5

Using version ^9.5 for drush/drush
./composer.json has been updated
> DrupalProjectcomposerScriptHandler::checkComposerVersion
Loading composer repositories with package information
Updating dependencies (including require-dev)
Package operations: 118 installs, 17 updates, 1 removal
  – Removing typo3/phar-stream-wrapper (v2.0.1)
  – Downgrading paragonie/random_compat (v2.0.18 => v2.0.17): Loading from cache
  – Downgrading symfony/class-loader (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading symfony/http-foundation (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading symfony/event-dispatcher (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading symfony/debug (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading symfony/http-kernel (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading symfony/routing (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading symfony/serializer (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading symfony/translation (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading symfony/validator (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading twig/twig (v1.37.1 => v1.36.0): Loading from cache
  – Downgrading symfony/yaml (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading symfony/process (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading symfony/dependency-injection (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading symfony/console (v3.4.21 => v3.4.20): Loading from cache
  – Downgrading drupal/core (8.6.7 => 8.6.5): Loading from cache

How do I fix this? Why did it think I had 8.6.7 installed?

Drupal version: 


Source: https://www.drupal.org/taxonomy/term/21/feed